/* Custom styles for blocks */

/* Image block - B&W filter */
.wp-block-image.is-style-bw-filter img {
  filter: grayscale(100%);
  transition: filter 0.3s ease-in-out;
}

/* Column block - displayed first and second on mobile and portrait tablet */
@media (max-width: 782px) {
  .wp-block-column.is-style-display-first-on-mobile {
    order: -2;
  }

  .wp-block-column.is-style-display-second-on-mobile {
    order: -1;
  }

  .wp-block-column.is-style-display-third-on-mobile {
    order: 0;
  }
}

/* Columns block - remove padding on mobile */
@media (max-width: 768px) {
  .wp-block-columns.is-style-no-padding-mobile {
    padding: 0 !important;
  }
}

/* Paragraph block - justify text */
.is-style-justify-text {
  text-align: justify;
}

/* Forms */
.custom-contact-form {
  display: flex;
  flex-direction: column;
  gap: 2px;
}

.custom-contact-form .form-row {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.custom-contact-form .form-row p {
  width: 100%;
}

.custom-contact-form .half-width {
  width: 100%;
}

.custom-contact-form .full-width {
  width: 100%;
}

.custom-contact-form input,
.custom-contact-form textarea,
.custom-contact-form select {
  width: 100%;
  height: 52px;
  border: none;
  padding: 11px 16px;
  box-sizing: border-box;
  font-size: 14px;
  transition: background-color 0.2s ease-out;
  background: #f6f6f6;
  color: #757576;
  outline: none;
}

.custom-contact-form select {
  appearance: none;
  background: #f6f6f6 url('images/arrow-down.svg') no-repeat;
  background-position: right 20px center;
  background-size: 16px auto;
}

.custom-contact-form textarea {
  height: 260px;
}

.custom-contact-form input:hover,
.custom-contact-form textarea:hover {
  background: #e5e5e5;
}

.custom-contact-form .label {
  font-size: 13px;
}

.custom-contact-form input[type="submit"] {
  display: table;
  margin: 0 auto;
  height: 44px;
  padding: 13px 138px;
  font-size: 16px;
  background: #393939;
  cursor: pointer;
  color: #fff;
}

.custom-contact-form input[type="submit"]:hover {
  background: #000;
}

@media (min-width: 768px) {
  .custom-contact-form .half-width {
    width: 48%;
  }

  .custom-contact-form input[type="submit"] {
    width: auto;
  }
}

.wpcf7 form.invalid .wpcf7-response-output,
.wpcf7 form.unaccepted .wpcf7-response-output,
.wpcf7 form.payment-required .wpcf7-response-output {
  border-color: #dc3232;
  padding: 16px 18px;
  font-size: 16px;
  color: #000;
}

.wp-block-navigation .wp-block-navigation-item .wp-block-navigation-item__content {
  outline-offset: 0;
}

/* Navigation */
a.wp-block-navigation-item__content {
  text-decoration: none !important;
  transition: all 0.2s ease-out;
  text-decoration-thickness: 0 !important;
  text-underline-offset: 0;
}

.current-menu-item a.wp-block-navigation-item__content,
:root :where(.wp-block-navigation a:where(:not(.wp-element-button)):hover) {
  color: #a0a09f !important;
}

:root :where(.wp-block-navigation a:where(:not(.wp-element-button)):hover) {
  outline: none;
  text-decoration: none;
}

/* Buttons */
.c-btn-gray a,
:root :where(.wp-block-button .wp-block-button__link) {
  transition: all 0.2s ease-out;
}

.c-btn-gray a:hover {
  background: #fff !important;
  color: #000;
}

:root :where(.wp-block-button .wp-block-button__link):hover {
  background: #000;
}

/* Equal height columns */
@media screen and (min-width: 782px) {
  .c-equal-height-columns.wp-block-columns {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
  }

  .c-equal-height-columns .wp-block-column {
    display: grid;
    grid-template-rows: auto 1fr auto;
  }

  .c-equal-height-columns .wp-block-column .wp-block-button {
    align-self: end;
  }
}

/* Mobile menu */
.wp-block-navigation__responsive-container.is-menu-open {
  display: block;
  background: #323233 !important;
}

.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-close {
  float: right;
  width: 220px;
  margin-right: 40px;
}

.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-navigation-item {
  display: inline-block;
  width: 100%;
}
.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-navigation-item a {
  padding-left: 41px;
}
.wp-block-navigation__responsive-container.is-menu-open a {
  font-size: 22px;
  color: #fff !important;
}

.wp-block-navigation__responsive-container-close svg, .wp-block-navigation__responsive-container-open svg {
  fill: white;
  width: 32px;
  height: 32px;
}

.wp-block-navigation__responsive-container.is-menu-open a:hover,
.wp-block-navigation__responsive-container.is-menu-open .current-menu-item a {
  color: #9a9a9a !important;
}

.c-btn a {
  float: right;
  background-color: #a0a0a0;
  padding: 9px 30px !important;
}

@media screen and (min-width: 600px) {
  .ui-visible-mobile {
      display: none !important;
  } 
}
@media screen and (max-width: 600px) {
  .ui-visible-desktop {
      display: none !important;
  }
}

/* Full width template */
@media screen and (max-width: 612px) {
  .page-template-full-width-mobile .entry-content {
    padding-left: 0;
    padding-right: 0;
  }
  .page-template-full-width-mobile .ui-content-column {
    padding-right: var(--wp--style--root--padding-right);
    padding-left: var(--wp--style--root--padding-left);
  }
}

/* UI */
@media screen and (max-width: 782px) {
  .ui-center-mobile {
    text-align: center;
  }
}

/* Typography */
h1, h2, h3, h4, h5, h6 {
  font-weight: 300;
}

@media (max-width: 767px) { /* Adjust breakpoint as needed */
  h1 {
    font-size: 76px;
  }
  h2 {
    font-size: 43px;
  }
  h3 {
    font-size: 32px;
  }
  h4 {
    font-size: 20px;
  }
  h5 {
    font-size: 17px;
  }
  h6 {
    font-size: 17px;
  }
}